
function getAngle (x1, y1, x2, y2)
    dx = x2 - x1;
    dy = y2 - y1;
    return math.atan2(dy,dx);
end

function getDegree (r)
    return r * 180/math.pi
end

function findSolidTiles(map)
    
    local collidable_tiles = {}
    
    -- get the layer that the tiles are on by name
    local layer = map.tl["ground"]
    
    for tileX=1,map.width do
        for tileY=1,map.height do
            
            local tile
            
            if layer.tileData[tileY] then
                tile = map.tiles[layer.tileData[tileY][tileX]]
            end
            
            if tile and tile.properties.solid then
                local ctile = Collider:addRectangle((tileX-1)*32,(tileY-1)*32,32,32)
                ctile.type = "tile"
                Collider:addToGroup("tiles", ctile)
                Collider:setPassive(ctile)
                table.insert(collidable_tiles, ctile)
            end
            
        end
    end
    
    return collidable_tiles
end

function shoot(x, y)
    local speed = 400
    local ex, ey = emitterpos:center()
    local bullet = Collider:addPoint(ex, ey)
    bullet.name = 'bullet'
    local dir = circAngle-math.pi
    bullet.dir = dir
    bullet.xvel = math.cos(dir) * speed
    bullet.yvel = math.sin(dir) * speed
    Collider:addToGroup('bullets', bullet)
    -- Add to instances table
    table.insert(bullets, bullet)
end

function spawnzombie(x, y)
    --local zombie = Collider:addRectangle(x, y, 10, 24)
    local zombie = Collider:addCircle(x,y, 10)
    zombie.speed = 60
    zombie.push = false
    zombie.time = 0
    zombie.health = 3
    zombie.xvel = 0
    zombie.yvel = 0
    Collider:addToGroup('zombies', zombie)
    table.insert(zombies, zombie)
end

function handle_anim(dt)
    if currwep == "knife" then 
        animtime = animtime + dt
        if animtime > 0.1 or first == true and animtime2 > 0.1 then
            first = false
            if animknife < 3 then
                animknife = animknife + 1
            else
                animknife = 1
                first = true
            end
            animtime = animtime - 0.1
            animtime2 = 0
        end
    end 
end